summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-11-24 07:16:51 +0100
committerHans de Graaff <graaff@gentoo.org>2017-11-24 07:21:03 +0100
commit42901a327664643487fdf466ab0eba7e2fe325a9 (patch)
tree514c29ea6cdcacc559c8adb93c13f9b539ec77bf /www-apache
parentdev-ruby/github_api: add 0.18.2 (diff)
downloadgentoo-42901a327664643487fdf466ab0eba7e2fe325a9.tar.gz
gentoo-42901a327664643487fdf466ab0eba7e2fe325a9.tar.bz2
gentoo-42901a327664643487fdf466ab0eba7e2fe325a9.zip
www-apache/passenger: add 5.1.12
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Diffstat (limited to 'www-apache')
-rw-r--r--www-apache/passenger/Manifest9
-rw-r--r--www-apache/passenger/passenger-5.1.12.ebuild127
2 files changed, 132 insertions, 4 deletions
diff --git a/www-apache/passenger/Manifest b/www-apache/passenger/Manifest
index 43d2eb2e672..ba1c65e256d 100644
--- a/www-apache/passenger/Manifest
+++ b/www-apache/passenger/Manifest
@@ -1,4 +1,5 @@
-DIST passenger-5.1.11.tar.gz 4243340 SHA256 26fc56b2f6d27ed58b948d9601a17a4f61e98fd16349bcb46f3ecebcac3177dd SHA512 7dce496916533f2fcd5cb5931d79308da8adda300a8b8603ce90b92645e69a1283d147976b5aa3408f86ccb71f9e5849bfb68e58a806a8a58529cadda557bccb WHIRLPOOL 071e3a0d1c23f1ac58f0ff93e48357f51aa538e9a76ae4fb115a3cb9ddb0a3eeb5dd6b2a8430bb76acc7cd4158be1d0fe4d640a2402d42a06a632fa87d84fa85
-DIST passenger-5.1.2.tar.gz 5646103 SHA256 7fb03a54650ef5e508895c9e45bc2d8151f6c4811ea6797e81f017fedddfdbab SHA512 88a77c749857a8538ea268f793d2708fa29b8891d2c3197577155f81cb66aa04919c25e713d4f00692051ad385eebaa94729cd30baa68edcf3d17c23bae0acdd WHIRLPOOL 8f115162e2a7c43af20cef1d689290c8a523cce10f617500eeb50ab6a226c203a404fc7ce53fd0e21e63276aa359c5d64b685318be36f79ce165ff598bac8766
-DIST passenger-5.1.6.tar.gz 5215694 SHA256 e897cc5f0ec6446bfdc226404dca4bd29f7418ae92010c389661b9f024a3cf24 SHA512 71d301d2501863951157f55df30ac89f6f9d98e79b554a5ca05ca9a306041ecd8cdc92056220cf6dc9ad02972a102bfc990e3b06f887d27496a8ecbd58e109fa WHIRLPOOL fe6872d0c11803fd0d8875002f37425edc54327709daaa56518ace0ef9f5046836592298ca80ce4929a29e6c0a0adcb237b57a19cd0d73ac096992e742e2a8b5
-DIST passenger-5.1.8.tar.gz 5234529 SHA256 fef10e4a34c3faa48306c21c0789ee4d4d56fc0e30205cc470a91b486b7a4a7d SHA512 5baf287e1f2a751409bba99671de2c41656033dc29132b2d964457405284105343fde4c2233c921d7e35794a47eedbf33e3840119a908741b1ed9e6fdc99ec2c WHIRLPOOL 6513b71aadddc9ec5ff4b4c617256a62f1c977b7d0f098982808851afc7703bd4ceed843cf309d07b239dbae97ed4beacaa2130a5dd325b17714df59f3b1f9ee
+DIST passenger-5.1.11.tar.gz 4243340 BLAKE2B 25c6cc0016c4078962466716f16a2d084d4e59528153bbe09dae70c4935941cabc456062e0004f7640074f163e53aa6f95e44fc7b99136292db5e3c9bb9fe554 SHA512 7dce496916533f2fcd5cb5931d79308da8adda300a8b8603ce90b92645e69a1283d147976b5aa3408f86ccb71f9e5849bfb68e58a806a8a58529cadda557bccb
+DIST passenger-5.1.12.tar.gz 4245993 BLAKE2B 4f5808bcb373a85fbe2e160d9bd993fdff32a78f5083f5b5ff38112a4d3ca906a18a241cef6744350c0f33ef357dfda7a2cd5af875223a082a19b4e99cba4aeb SHA512 7ecdf0be306a3c4b842c8497861dbc072fc87f5601840678fe1125b77d50e683003b49616397d39b34705c967f604f5193be173c52a9c5ab235ef4e6e43f2f4a
+DIST passenger-5.1.2.tar.gz 5646103 BLAKE2B 0ba891b91f80944d62b7d9a76ba88884a095ac491b36e93ead8c52d1883944f835f49d26934acd40b61cdb4abd5b53826193e2cf58c8e8a53b9ede16e05bea42 SHA512 88a77c749857a8538ea268f793d2708fa29b8891d2c3197577155f81cb66aa04919c25e713d4f00692051ad385eebaa94729cd30baa68edcf3d17c23bae0acdd
+DIST passenger-5.1.6.tar.gz 5215694 BLAKE2B 6a7408b5a2ec877a8689c5f3e7fe8b1b037446ac6bb7a3a4a4831bf2cb00d2fa3206e1acb52fda99d0383afa75354feaf0ff91c8ca210382c39f482ba86ba642 SHA512 71d301d2501863951157f55df30ac89f6f9d98e79b554a5ca05ca9a306041ecd8cdc92056220cf6dc9ad02972a102bfc990e3b06f887d27496a8ecbd58e109fa
+DIST passenger-5.1.8.tar.gz 5234529 BLAKE2B 07c68bd224e58c56c94937b3aca6442b9b41964cdae7d28da2d4b801f9a8320b6adfa5f0b3a28489e4bb1e2f8304af1313fb6e0c587d8b0ee3b97cb7d20122b1 SHA512 5baf287e1f2a751409bba99671de2c41656033dc29132b2d964457405284105343fde4c2233c921d7e35794a47eedbf33e3840119a908741b1ed9e6fdc99ec2c
diff --git a/www-apache/passenger/passenger-5.1.12.ebuild b/www-apache/passenger/passenger-5.1.12.ebuild
new file mode 100644
index 00000000000..8e51ddcea35
--- /dev/null
+++ b/www-apache/passenger/passenger-5.1.12.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+inherit apache-module flag-o-matic multilib ruby-ng toolchain-funcs
+
+DESCRIPTION="Passenger makes deployment of Ruby on Rails applications a breeze"
+HOMEPAGE="https://www.phusionpassenger.com/"
+SRC_URI="https://s3.amazonaws.com/phusion-passenger/releases/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="apache2 debug"
+
+ruby_add_bdepend "dev-ruby/rake"
+
+ruby_add_rdepend "
+ >=dev-ruby/rack-1.0.0:*
+ >=dev-ruby/rake-0.8.1"
+
+# libev is bundled but with adapations that do not seem to be accepted
+# upstream, so we must use the bundled version :-(
+CDEPEND="
+ >=dev-libs/libuv-1.8.0
+ net-misc/curl[ssl]
+ apache2? ( www-servers/apache[apache2_modules_unixd(+)] )"
+
+RDEPEND="${RDEPEND} ${CDEPEND}"
+DEPEND="${DEPEND} ${CDEPEND}"
+
+APACHE2_MOD_CONF="30_mod_${PN}-5.0.0 30_mod_${PN}"
+APACHE2_MOD_DEFINE="PASSENGER"
+
+want_apache2
+
+pkg_setup() {
+ use debug && append-flags -DPASSENGER_DEBUG
+ depend.apache_pkg_setup
+}
+
+all_ruby_prepare() {
+ epatch "${FILESDIR}"/${PN}-5.1.11-gentoo.patch
+ epatch "${FILESDIR}"/${PN}-5.1.1-isnan.patch
+
+ # Change these with sed instead of a patch so that we can easily use
+ # the toolchain-funcs methods.
+ sed -i -e "/^CC/ s/=.*$/= '$(tc-getCC)'/" \
+ -e "/^CXX\s/ s/=.*$/= '$(tc-getCXX)'/" \
+ -e 's/PlatformInfo.debugging_cflags//' build/basics.rb || die
+
+ # Avoid fixed debugging CFLAGs.
+ sed -e '/debugging_cflags/areturn ""' -i src/ruby_supportlib/phusion_passenger/platform_info/compiler.rb || die
+
+ # Use sed here so that we can dynamically set the documentation directory.
+ sed -i -e "s:/usr/share/doc/passenger:/usr/share/doc/${P}:" \
+ -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" \
+ src/ruby_supportlib/phusion_passenger.rb || die
+ sed -i -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" src/cxx_supportlib/ResourceLocator.h || die
+
+ # Don't install a tool that won't work in our setup.
+ sed -i -e '/passenger-install-apache2-module/d' src/ruby_supportlib/phusion_passenger/packaging.rb || die
+ rm -f bin/passenger-install-apache2-module || die "Unable to remove unneeded install script."
+
+ # Make sure we use the system-provided version where possible
+ rm -rf src/cxx_supportlib/vendor-copy/libuv || die "Unable to remove vendored code."
+
+ # Avoid building documentation to avoid a dependency on mizuho.
+ #sed -i -e 's/, :doc//' build/packaging.rb || die
+ touch doc/*.html || die
+
+ # Fix hard-coded use of AR
+ sed -i -e "s/ar cru/"$(tc-getAR)" cru/" build/support/cplusplus.rb || die
+
+ # Make sure apache support is not attempted with -apache2
+ if ! use apache2 ; then
+ sed -i -e '/fakeroot/ s/:apache2, //' build/packaging.rb || die
+ fi
+}
+
+all_ruby_compile() {
+ if use apache2 ; then
+ V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ ruby -S rake apache2 || die "rake failed"
+ fi
+}
+
+each_ruby_compile() {
+ append-flags -fno-strict-aliasing
+
+ V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ ${RUBY} -S rake native_support || die "rake failed"
+}
+
+all_ruby_install() {
+ if use apache2 ; then
+ APACHE2_MOD_FILE="${S}/buildout/apache2/mod_${PN}.so"
+ apache-module_src_install
+
+ # Patch in the correct libdir
+ sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' "${D}${APACHE_MODULES_CONFDIR}/30_mod_${PN}.conf" || die
+ fi
+
+ dodoc CHANGELOG README.md
+}
+
+each_ruby_install() {
+ DISTDIR="${D}" \
+ RUBYLIBDIR="$(ruby_rbconfig_value vendordir)" \
+ RUBYARCHDIR="$(ruby_rbconfig_value archdir)" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ EXTRA_LDFLAGS="${LDFLAGS}" \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ ${RUBY} -S rake fakeroot || die "rake failed"
+}